{
	"name": "table/local/resource/resource_cost.json",
	"table_name": "resource_cost",
	"table_prefix": "reco",
	"record_type": [""],
	"table_name_language": {
		"": "Resource cost"
	},
	"default_field": "table/prf/default_field.json",
	"unique": [["resource_id", "person_id", "active_start_time"]],
	"default_order": [
		{
			"field": "active_start_time",
			"order": "<"
		},
		{
			"field": "resource_id",
			"order": ">"
		},
		{
			"field": "person_id",
			"order": ">"
		}
	],
	"save_script": [],
	"calculated_field": [],
	"field": [
		{
			"field_name": "resource_id",
			"field_type": "varchar",
			"field_length": 40,
			"foreign_key": [
				{
					"link_type": "prevent delete",
					"linked_field": "resource_id",
					"linked_record_type": "",
					"linked_table": "resource",
					"linking_record_type": ""
				}
			],
			"nullable": true
		},
		{
			"field_name": "person_id",
			"field_type": "varchar",
			"field_length": 80,
			"foreign_key": [
				{
					"link_type": "prevent delete",
					"linked_field": "person_id",
					"linked_record_type": "",
					"linked_table": "person",
					"linking_record_type": ""
				}
			],
			"nullable": true
		},
		{
			"field_name": "setup_hourly_salary",
			"field_type": "double"
		},
		{
			"field_name": "work_hourly_salary",
			"field_type": "double"
		},
		{
			"field_name": "profit_multiplier",
			"field_type": "double"
		},
		{
			"field_name": "active_start_time",
			"field_type": "timestamp"
		},
		{
			"field_name": "active_end_time",
			"field_type": "timestamp"
		},
		{
			"field_name": "info",
			"field_type": "text"
		}
	],
	"extra_field": [],
	"field_change": []
}
